Download translated document
This endpoint has been deprecated and may be removed in future versions of the API.
Use this endpoint to download the translated document when available.
You should invoke this endpoint only after a success callback (with the /:job_id of the document) is returned from the POST /v1/documents/translate request.
- Use the returned
/:job_idin the download endpoint:GET /v1/documents/download/:job_idto get your document. - The translated document is returned as an HTTP attachment.
- The document is only available for 1 hour, after that it is deleted.
- In case you don't download the translated document within that time, you will need to send another translation request.
| Path Parameters |
|---|
job_id uuid — REQUIRED |
| Responses | |||||
|---|---|---|---|---|---|
200Return the translated document
| |||||
400Translation is not yet finished or it failed
| |||||
401The access token provided is missing, expired, revoked, malformed, or invalid for other reasons. The client MAY request a new access token and retry the protected resource request.
| |||||
403The request requires higher privileges than provided by the access token. The request should not be retried.
| |||||
404Document translation not found
| |||||
422Validation error
| |||||
429Too many requests in the time interval
|